Add a user to the owner list
POST
/domains/{domainID}/folders/{folderID}/owners
const url = 'https://example.com/api/v1/domains/1/folders/1/owners';const options = { method: 'POST', headers: { cookie: 'grommunioAuthJwt=<grommunioAuthJwt>', 'Content-Type': 'application/json' }, body: '{"username":"example","permissions":256}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/domains/1/folders/1/owners \ --header 'Content-Type: application/json' \ --cookie grommunioAuthJwt=<grommunioAuthJwt> \ --data '{ "username": "example", "permissions": 256 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”domainID
required
integer
ID of the domain
folderID
required
integer
ID of the folder
Header Parameters
Section titled “Header Parameters”X-Csrf-Token
string
CSRF Token
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
username
required
Username (e-mail address) to add to member list
string
permissions
Bit mask of permissions to grant the user (defaults to folder owner)
integer
Responses
Section titled “ Responses ”Creation successful
Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}The requested resource could not be found
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}One of the required external services is unavailable
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}